Get a device by ID
get
/Device/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual device by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : Device
Type:
objectThe FHIR R4 Device resource.
Show Source
-
_distinctIdentifier: object
PrimitiveElement
-
_expirationDate: object
PrimitiveElement
-
_lotNumber: object
PrimitiveElement
-
_manufactureDate: object
PrimitiveElement
-
_serialNumber: object
PrimitiveElement
-
distinctIdentifier: string
-
expirationDate: string
(date-time)
-
id(required): string
-
lotNumber: string
-
manufactureDate: string
(date-time)
-
patient(required): object
ReferenceForDevice
-
resourceType(required): string
Allowed Values:
[ "Device" ] -
serialNumber: string
-
status(required): string
Allowed Values:
[ "active", "inactive", "entered-in-error", "unknown" ] -
type(required): object
CodeableConcept
-
udiCarrier(required): array
udiCarrier
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source